summaryrefslogtreecommitdiffstats
path: root/desktop/xtrlock
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2014-01-28 18:53:09 +0700
committer Erik Hanson <erik@slackbuilds.org>2014-01-29 23:21:18 -0600
commit126ae7718eb2d56d031e0ef01c309e28d7643bda (patch)
tree0a67efc0294aeca0cc75f6416e53b1de97794eb4 /desktop/xtrlock
parent06ac709c290591e1d452788888f8430835558945 (diff)
downloadslackbuilds-126ae7718eb2d56d031e0ef01c309e28d7643bda.tar.gz
slackbuilds-126ae7718eb2d56d031e0ef01c309e28d7643bda.tar.xz
desktop/xtrlock: Added (minimal X display lock).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop/xtrlock')
-rw-r--r--desktop/xtrlock/README6
-rw-r--r--desktop/xtrlock/slack-desc19
-rw-r--r--desktop/xtrlock/xtrlock.SlackBuild74
-rw-r--r--desktop/xtrlock/xtrlock.info10
4 files changed, 109 insertions, 0 deletions
diff --git a/desktop/xtrlock/README b/desktop/xtrlock/README
new file mode 100644
index 0000000000..3f8d924953
--- /dev/null
+++ b/desktop/xtrlock/README
@@ -0,0 +1,6 @@
+xtrlock (minimal X display lock)
+
+xtrlock is a very minimal X display lock program, which uses nothing
+except the Xlib library. It doesn't obscure the screen, it is completely
+idle while the display is locked and you don't type at it, and it doesn't
+do funny things to the X access control lists.
diff --git a/desktop/xtrlock/slack-desc b/desktop/xtrlock/slack-desc
new file mode 100644
index 0000000000..fc047fce8d
--- /dev/null
+++ b/desktop/xtrlock/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xtrlock: xtrlock (minimal X display lock)
+xtrlock:
+xtrlock: xtrlock is a very minimal X display lock program, which uses
+xtrlock: nothing except the Xlib library. It doesn't obscure the screen, it
+xtrlock: is completely idle while the display is locked and you don't type
+xtrlock: at it, and it doesn't do funny things to the X access control lists.
+xtrlock:
+xtrlock:
+xtrlock:
+xtrlock:
+xtrlock:
diff --git a/desktop/xtrlock/xtrlock.SlackBuild b/desktop/xtrlock/xtrlock.SlackBuild
new file mode 100644
index 0000000000..d2fa8f1be5
--- /dev/null
+++ b/desktop/xtrlock/xtrlock.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# Slackware build script for xtrlock
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=xtrlock
+VERSION=${VERSION:-2.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}_$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+xmkmf -a
+make
+make install install.man DESTDIR=$PKG CCOPTIONS="$SLKCFLAGS -DSHADOW_PWD"
+for i in $PKG/usr/bin/$PRGNAM; do
+ strip $i
+ chown root:shadow $i
+ chmod 2751 $i
+done
+gzip -9 $PKG/usr/man/man1/$PRGNAM.1x
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a *.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/xtrlock/xtrlock.info b/desktop/xtrlock/xtrlock.info
new file mode 100644
index 0000000000..9deeece3ea
--- /dev/null
+++ b/desktop/xtrlock/xtrlock.info
@@ -0,0 +1,10 @@
+PRGNAM="xtrlock"
+VERSION="2.6"
+HOMEPAGE="http://packages.debian.org/sid/xtrlock"
+DOWNLOAD="http://ftp.de.debian.org/debian/pool/main/x/xtrlock/xtrlock_2.6.tar.gz"
+MD5SUM="ccd04f593f81c1d70f6376c3c819c19d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"